To make your system more usable, you may want to install and configure extra packages.

> **Note**
>
> Currently MatterLinux has limited amount of packages, so there are lots of 
> missing packages that some users may consider essential, such as a desktop environment.
> If you want more packages, consider [contributing](/wiki/contribute).

## Installing OpenSSH
For remote access to your system, you can install OpenSSH server:
```
# mp-install openssh
```
You can enable root login, by editing `/etc/ssh/sshd_config`:
```
PermitRootLogin yes
```

## Adding new users 
To add a new user, use the `useradd` command:
```
# useradd -m  <username>
```
You may want to configure `doas` to provide root access to the new user.
To do this, install the `doas` package:
```
# mp-install doas
```
Then create a group named `wheel` for all the admin users: 
```
# groupadd wheel
```
Add your user to the `wheel` group:
```
# usermod -aG wheel <username>
```
Lastly edit the doas confiuration (`/etc/doas.conf`) to give access to the `wheel` group users:
```
# echo "permit keepenv :wheel" > /etc/doas.conf
```
> **Why keepenv?**
>
> MatterLinux package manager has options such as `MP_YES` that are set with environment 
> variables. To make sure that these options work `keepenv` needs to be added to the doas 
> confiuration.

## Installing XORG
Xorg can be installed using a simple wrapper package:
```
# mp-install xorg
```
Then you can use `startx` to start the `xorg-server`. 

## Installing a desktop
To easily install a desktop, you can use the `xcfg` tool:
```
# mp-install xcfg
```
You can then use the tool as a regular user, not that you will need access to the `doas` command 
in order to use the tool:
```
$ xcfg
```
